<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">
        <title>apiRTC Client</title>

        <!-- Compiled and minified CSS -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.97.1/css/materialize.min.css">
        <style>
        body {
            display: flex;
            min-height: 100vh;
            flex-direction: column;
        }
        .btn-open {
            height: auto;
            line-height: inherit;
            padding: 15px 25px;
        }
        main {
            flex: 1 0 auto;
        }
        .container.master { padding: 50px; }
        .fa {
            display: inline-block !important;
        }
        footer {  margin-top: 0 !important; }
        #remote {
            position: relative !important;
        }
        #command form input[type="texte"] {
            display: block;
            border: 2px solid rgb(74, 74, 74);
            padding: 3px 20px;
            margin-bottom: 10px;
            border-radius: 6px;
        }
        </style>
        <script src="https://cloud.apizee.com/apiRTC/apiRTC-latest.min.js"></script>
    </head>

    <body>
        <nav class="light-blue darken-4">
            <div class="nav-wrapper">
                <a class="brand-logo" href="../."><img src="../images/apirtc-logo.png" alt="" style="height:50px;margin:8px 40px;" ></a>
                <ul id="nav-mobile" class="right hide-on-med-and-down">
                    <li><a href="https://github.com/apizee/ApiRTC-examples/tree/master/Tutorials" target="_blank"><i class="fa fa-github" style="vertical-align: middle;"></i> Source code on Github</a></li>
                </ul>
            </div>
        </nav>

        <main class="container grey lighten-5">
            <div class="container master grey lighten-5">
                <h3><i class="fa fa-dot-circle-o"></i> Tutorial 1: Basic video client</h3>
                <p>
                <a href="https://github.com/apizee/ApiRTC-examples/blob/master/Tutorials/Video_client_basic/apiRTC-Basic-Client.html" target="_blank"><i class="fa fa-github" style="vertical-align: middle;"></i> This sample is accessible on Github</a>
                </p>
                <br>
                <div class="row">
                    <div class="col s12 m8 l8">
                        <p class="lead">This sample shows a basic apiRTC video client.<br>
                        Code is really simple and limited to a few lines.
                        </p>
                    </div>
                    <div class="col s12 m4 l4 valign-wrapper">
                        <a href="../Video_client_basic/apiRTC-Basic-Client.html" target="_blank" class="btn-large waves-effect waves-light btn-open">Open another client</a>
                    </div>
                    <div style="clear: both;"></div>
                </div>

                <div class="row">
                    <div id="command"></div>
                    <div id="status"></div>
                    <div id="local" style="position: absolute; width:640px; height:480px;"><video id="myLocalVideo" autoplay="autoplay" muted="true"></video></div>
                    <div id="remote" style="position: absolute;">
                        <div id="myRemoteVideo" style="width:640px; height:480px;"></div>
                        <div id="mini"><video width="20%" height="20%" id="myMiniVideo" autoplay="autoplay" muted="true"></video></div>
                    </div>
                </div>
            </div><!-- /.container -->
        </main>

        <footer class="page-footer grey darken-3">
          <div class="container">
            <div class="row">
              <div class="col l6 s12">
                <h5 class="white-text">ApiRTC Tutorials</h5>
                <p class="grey-text text-lighten-4">This page give you access to different apiRTC sample to easily build your application</p>
              </div>
              <div class="col l4 offset-l2 s12">
                <h5 class="white-text">Useful links</h5>
                <ul>
                  <li><a class="grey-text text-lighten-3" href="//apirtc.com">ApiRTC Website</a></li>
                  <li><a class="grey-text text-lighten-3" href="//apizee.com">Apizee Website</a></li>
                </ul>
              </div>
            </div>
          </div>
          <div class="footer-copyright grey darken-2">
            <div class="container">
            &copy; 2014-2015 Apizee
            </div>
          </div>
        </footer>

        <script>
        'use strict';
        //ApiRTC Client Code
        apiRTC.init({
            apiKey : "93f83060017316c13c11644d3986f598",
            //apiCCId : "1234",
            onReady : function () {
                console.log('Session created with sessionId :' + apiRTC.session.apiCCId);
                var webRTCClient = apiRTC.session.createWebRTCClient({
                    localVideo : "myLocalVideo",
                    minilocalVideo : "myMiniVideo",
                    remoteVideo : "myRemoteVideo",
                    status : "status",
                    command : "command"
                });
            }
        });
        </script>

        <!-- Compiled and minified JavaScript -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.97.1/js/materialize.min.js"></script>
    </body>
</html>